import pydle
import requests

host = "http://localhost:5000/"

# Simple echo bot.
class RadioBot(pydle.Client):
  async def on_connect(self):
    await self.join('#dailybot')

  async def on_message(self, target, source, message):
    # don't respond to our own messages, as this leads to a positive feedback loop
    if source != self.nickname:
      if message.startswith(".play "):
        pload = {'url': message[len(".play "):]}
        r = requests.post(host+"play", data = pload)
        await self.message(target, r.text)
      if message.startswith(".current"):
        r = requests.get(host+"current")
        await self.message(target, r.text)
      if message.startswith(".skip"):
        r = requests.post(host+"skip")
        await self.message(target, r.text)
      if message.startswith(".queue"):
        r = requests.get(host+"queue")
        await self.message(target, r.text)
      if message.startswith(".stream"):
        await self.message(target, "https://nanachi.neet.dev/stream.mp3")

client = RadioBot('RadioBot', realname='RadioBot')
client.run('irc.rizon.net', tls=True, tls_verify=True)