{ pkgs ? import <nixpkgs> { }, self ? ./. }:

let
  pydle = pkgs.python3Packages.buildPythonPackage rec {
    pname = "pydle";
    version = "0.9.4";

    src = builtins.fetchTarball {
      url = "https://github.com/Shizmob/pydle/archive/refs/tags/v0.9.4.tar.gz";
      sha256 = "1gnd28c5m0kpyz6iczzyb0qj82r80mjkzbhck3jb670zinjvxan1";
    };

    propagatedBuildInputs = with pkgs.python3Packages; [ pytest ];
  };
in pkgs.python3Packages.buildPythonApplication {
  pname = "radio-bot";
  src = self;
  version = "0.1";
  propagatedBuildInputs = with pkgs.python3Packages; [ pydle requests ];
}